%global major 2
%global minor 0
%global micro 13
%global extra %{nil}
%global rpm_release 4
%global release_name firmware-extract
%global release_version %{major}.%{minor}.%{micro}%{extra}

# Define python_sitelib for versions of RPM that dont natively define it.
# Per fedora guidelines, not needed on F13+, but needed on RHEL4,5 and some SLES.
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           firmware-extract
Version:        %{release_version}
Release:        %{rpm_release}%{?dist}.1
Summary:        A firmware-tools plugin to add firmware extraction from vendor binaries

Group:          Applications/System
License:        GPLv2+ and OSL 2.1
URL:            http://linux.dell.com/libsmbios/download/
Source0:        http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# SUSE doesnt have noarch python, so for SUSE, always build arch-dependent
%if ! 0%{?suse_version}
BuildArch: noarch
%endif

# SUSE build has anal directory ownership check. RPM which owns all dirs *must*
# be installed at buildtime. This means we have to BuildRequire them, even if
# we dont really need them at build time.
%if 0%{?suse_version}
BuildRequires: firmware-tools
%endif


BuildRequires:  python-devel
Requires: firmware-tools >= 0:2.0
%if ! 0%{?fuduntu}
# Technically, not needed on RHEL6 either
Requires: python-sqlite2
%endif
Requires: python-sqlobject

%description
A firmware-tools plugin which adds the --extract mode to firmwaretool.

%prep
%setup -q


%build
# this line lets us build an RPM directly from a git tarball
[ -e ./configure ] || ./autogen.sh

%configure
make -e %{?_smp_mflags}


%install
# Fedora Packaging guidelines
rm -rf %{buildroot}
# SUSE Packaging rpmlint
mkdir %{buildroot}

make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}/extract/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING-GPL COPYING-OSL README
%{python_sitelib}/*
%{_datadir}/firmware-tools/plugins/*
%config(noreplace) %{_sysconfdir}/firmware/firmware.d/*.conf
%dir %{_localstatedir}/lib/%{name}/
%dir %{_localstatedir}/lib/%{name}/extract/
#%attr(0755,root,root) %{_bindir}/*


%changelog
* Mon Nov 19 2012 Andrew Wyatt <andrew@fuduntu.org> - %{release_version}-.1
- Built for Fuduntu

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.13-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 2.0.13-4
- Remove python-sqlite2 dep on Fedora as that package is being retired and
  firmware-extract works with the sqlite3 module from the stdlib

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.13-3.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.13-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 6 2010 Michael Brown <Michael_E_Brown@dell.com> - 2.0.13-3
- minor spec file updates per fedora package review

* Fri Jun 19 2009 Matt Domsch <Matt_Domsch@dell.com> - 2.0.7-1
- Move runtime data to /var/lib/firmware-extract/

* Mon Mar 12 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.0-1
- Fedora-compliant packaging changes.
